curl -X GET 'https://api.tolt.com/v1/customers/cust_dK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
curl -X GET 'https://api.tolt.com/v1/customers/cust_dK9bzRGn46BhVgNFHD6fDgXW?expand[]=partner&expand[]=program&include[]=stats' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
{
"success": true,
"data": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@email.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T15:00:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@email.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T15:00:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"stats": {
"total_revenue": 99900,
"total_commission": 19980,
"total_orders": 3,
"last_order_at": "2025-01-20T09:15:32.000Z"
}
}
}
Customers
Retrieve Customer
This endpoint retrieves a customer.
GET
/
v1
/
customers
/
:id
curl -X GET 'https://api.tolt.com/v1/customers/cust_dK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
curl -X GET 'https://api.tolt.com/v1/customers/cust_dK9bzRGn46BhVgNFHD6fDgXW?expand[]=partner&expand[]=program&include[]=stats' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
{
"success": true,
"data": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@email.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T15:00:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@email.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T15:00:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"stats": {
"total_revenue": 99900,
"total_commission": 19980,
"total_orders": 3,
"last_order_at": "2025-01-20T09:15:32.000Z"
}
}
}
Base URL https://api.tolt.com
Query Parameters
array - optional
Specify which related objects to include in the response. Valid values are
‘partner’ and ‘program’. Use expand[]=partner or
expand[]=program to include the related objects.
array - optional
Specify which related objects to include in the response. Valid values are
‘stats’. Use include[]=stats to include the related objects.
Response
string
Unique identifier for the customer,
uuid or prefixed with cust_string
Your unique identifier for the customer
string
ID of the referring partner
string
Customer’s name
string
Your internal customer identifier
string
ISO 8601 timestamp of when the customer was created
string
ISO 8601 timestamp of when the customer became active
string
Current status of the customer (e.g., ‘lead’, ‘trialing’, ‘active’,
‘canceled’)
string
Program ID the customer belongs to
string
Organization ID
object
Show partner
Show partner
Partner details when expanded:
string
Unique identifier for the partner
string
Partner’s first name
string
Partner’s last name
string
Partner’s email address
string
Partner’s company name
string
Partner’s status. Valid values are: ‘active’, ‘pending’, ‘suspended’,
‘rejected’.
string
ISO 8601 timestamp of when the partner was created
object
Show program
Show program
object
curl -X GET 'https://api.tolt.com/v1/customers/cust_dK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
curl -X GET 'https://api.tolt.com/v1/customers/cust_dK9bzRGn46BhVgNFHD6fDgXW?expand[]=partner&expand[]=program&include[]=stats' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
{
"success": true,
"data": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@email.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T15:00:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@email.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T15:00:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"stats": {
"total_revenue": 99900,
"total_commission": 19980,
"total_orders": 3,
"last_order_at": "2025-01-20T09:15:32.000Z"
}
}
}
⌘I

